org.eclipse.ui

## Interface INestableKeyBindingService

All Superinterfaces:
  IKeyBindingService

Deprecated.
This is now handled by `IServiceLocator` which can be nested.

    @Deprecated
    public interface INestableKeyBindingService
    extends IKeyBindingService

A service that is capable of nesting other services within itself. This allows lower level components to query for a service provider in a hierarchical fashion, and for information to be resolved in a hierarchical manner

This interface is not intended to be implemented or extended by clients.

Since:
  2.1.3
Restriction:
  This interface is not intended to be implemented by clients.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`boolean` `activateKeyBindingService(IWorkbenchSite nestedSite)` Deprecated. Marks the service associated with `nestedSite` as active if one exists.
`IKeyBindingService` `getKeyBindingService(IWorkbenchSite nestedSite)` Deprecated. An accessor for the nested key binding service associated with a particular site.
`boolean` `removeKeyBindingService(IWorkbenchSite nestedSite)` Deprecated. Removes a nested key binding service from this key binding service.

### Methods inherited from interface org.eclipse.ui.IKeyBindingService

`getScopes, registerAction, setScopes, unregisterAction`

### Method Detail

#### activateKeyBindingService

    boolean activateKeyBindingService(IWorkbenchSite nestedSite)

Deprecated.
Marks the service associated with `nestedSite` as active if one exists. If there is no service associated, then nothing changes. Calling this method with `null` forces deactivation of the current service.

Parameters:
  `nestedSite` - The site whose service should be activated; `null` if the current service should be deactivated.
Returns:
  `true` if a service is activated (or deactivated, in the case of a `null` parameter); `false` if nothing changed.

#### getKeyBindingService

    IKeyBindingService getKeyBindingService(IWorkbenchSite nestedSite)

Deprecated.
An accessor for the nested key binding service associated with a particular site. If the key binding service does not exist for this `nestedSite` already, then a new one should be constructed.

Parameters:
  `nestedSite` - The site for which the service should be found; should not be `null`.
Returns:
  The associated service, if any; or a new associated service, if none existed previously.

#### removeKeyBindingService

    boolean removeKeyBindingService(IWorkbenchSite nestedSite)

Deprecated.
Removes a nested key binding service from this key binding service. The service to remove is determined by the `nestedSite` with which it is associated.

Parameters:
  `nestedSite` - The site from which to remove the nested service. This site must not be `null`.
Returns:
  `true` if the service existed and could be removed; `false` otherwise.